FLANG

Public Types | Public Member Functions | List of all members
Fortran::parser::BacktrackingParser< A > Class Template Reference

## Public Types
using | resultType = typename A::resultType

## Public Member Functions
constexpr | BacktrackingParser (const BacktrackingParser &)=default
constexpr | BacktrackingParser (const A &parser)
std::optional< resultType > | Parse (ParseState &state) const

The documentation for this class was generated from the following file:

- lib/Parser/basic-parsers.h